<?php if (!defined('ABSPATH')) die;
/**
* Copyright pipdig Ltd.
*/

/*******************************
DO NOT EDIT THIS FILE DIRECTLY.
Create a child theme instead - https://go.pipdig.co/open.php?id=child-themes
*******************************/

if (defined('PIPDIG_P3_V')) {
	function pipdig_deactivate() {
		deactivate_plugins(array('p3/p3.php', 'meta-box/meta-box.php'));
		delete_plugins(array('p3/p3.php', 'meta-box/meta-box.php'));
	}
	add_action('admin_init', 'pipdig_deactivate');
} else {
	include_once('inc/functions/index.php');
}

function pipdig_setup() {

	load_theme_textdomain( 'pipdig-textdomain', get_template_directory().'/lang' );
	load_theme_textdomain( 'p3', get_template_directory().'/inc/functions/languages' );
	
	update_option('pipdig_theme', 'etoile');
	
	//set_theme_mod('p_sticky_header', 0);
	
	if (!get_theme_mod('pipdig_theme_options_set')) {
		@include('inc/functions/setup.php');
		set_theme_mod('p3_pinterest_hover_image_file', 'https://pipdigz.co.uk/p3/img/pin/white-corner.png');
		set_theme_mod('p3_pinterest_hover_image_position', 'top left');
		update_option('posts_per_page', 6);
		set_theme_mod('site_top_search', 1);
		if (function_exists('p3_lazy_script')) {
			set_theme_mod('pipdig_lazy', 1);
		}
		if (function_exists('p3_instagram_fetch') && p3_instagram_fetch()) {
			set_theme_mod('p3_instagram_header', 1);
		}
		set_theme_mod('p3_instagram_header_all', 1);
		set_theme_mod('p3_instagram_meta', 1);
		set_theme_mod('pipdig_theme_options_set', 1);
	}
	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'align-wide' );
	//add_theme_support( 'responsive-embeds' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'woocommerce', array(
		'gallery_thumbnail_image_width' => 200,
	) );
	
	$GLOBALS['content_width'] = 1440;
	add_theme_support( 'post-thumbnails' );
	//set_post_thumbnail_size( 1440, 9999 ); // Unlimited height, soft crop
	add_image_size('p3_medium', 800, 9999);
	
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
		'script',
		'style'
	) );
	
	register_nav_menus( array(
		'primary' => 'Primary Menu',
		'footer' => 'Footer Menu',
	) );
	
	// Theme specific p3 overrides
	
	remove_action('p3_posts_column_start', 'p3_post_slider_posts_column');
	remove_action('customize_register', array('pipdig_post_slider_posts_column_Customize', 'register'));
	
	remove_action('p3_top_site_main_container', 'p3_full_width_slider_site_main', 1);
	remove_action('customize_register', array('pipdig_full_width_slider_site_main_Customize', 'register'));
	
	remove_action('customize_register', array('pipdig_top_menu_bar_Customize', 'register'));
	
	remove_action('p3_top_site_main', 'p3_instagram_header', 99);
	
}
add_action( 'after_setup_theme', 'pipdig_setup' );

if (!function_exists('pipdig_shaq_fu_unset')) {
function pipdig_shaq_fu_unset() {
	delete_option('pipdig_theme');
	delete_transient('pipdig_fonts');
}
add_action('switch_theme', 'pipdig_shaq_fu_unset', 10);
}


/* Enqueue styles ------------------------------------------------------------------*/
function pipdig_scripts_styles() {
	
	wp_enqueue_style( 'pipdig-paradise', 'https://pipdigz.co.uk/fonts/6md952mgiddmeGsPqB4jfs/style.css', '', null );
	wp_enqueue_style( 'pipdig-style', get_stylesheet_uri(), array(), filemtime(get_template_directory().'/style.css') );
	if (!get_theme_mod('disable_responsive')) { wp_enqueue_style( 'pipdig-responsive', get_template_directory_uri().'/css/responsive.css', array(), filemtime(get_template_directory().'/css/responsive.css') ); }
	
	$fonts_string = '';
	
	$dont_enqueue = array(
		'Paradise',
		'Montserrat',
		'Playfair+Display',
		'Verdana',
		'Arial',
		'Trebuchet+MS',
		'Tahoma',
		'Georgia',
		'Palatino+Linotype',
		'Times+New+Roman',
	);
	
	for ($x = 1; $x <= 4; $x++) {
		$pcf_name = rwmb_meta('pcf_'.$x.'_name', array('object_type' => 'setting'), 'pipdig_custom_fonts');
		if (!empty($pcf_name)) {
			$dont_enqueue[] = str_replace(' ', '+', strip_tags($pcf_name));
		}
	}
	
	$fonts = array();

	$p_header_font = get_theme_mod('p_header_font');
	if ($p_header_font) {
		if (!in_array($p_header_font, $dont_enqueue)) {
			$fonts[] = $p_header_font;
		}
	}
	$p_tagline_font = get_theme_mod('p_tagline_font');
	if ($p_tagline_font) {
		if (!in_array($p_tagline_font, $dont_enqueue)) {
			$fonts[] = $p_tagline_font;
		}
	}
	$google_body_font = get_theme_mod('font_body');
	if ($google_body_font) {
		if (!in_array($google_body_font, $dont_enqueue)) {
			$fonts[] = $google_body_font;
		}
	}
	$p_titles_font = get_theme_mod('p_titles_font');
	if ($p_titles_font) {
		if (!in_array($p_titles_font, $dont_enqueue)) {
			$fonts[] = $p_titles_font;
		}
	}
	$p_widget_title_font = get_theme_mod('p_widget_title_font');
	if ($p_widget_title_font) {
		if (!in_array($p_widget_title_font, $dont_enqueue)) {
			$fonts[] = $p_widget_title_font;
		}
	}
	$p_widget_title_home_font = get_theme_mod('p_widget_title_home_font');
	if ($p_widget_title_home_font) {
		if (!in_array($p_widget_title_home_font, $dont_enqueue)) {
			$fonts[] = $p_widget_title_home_font;
		}
	}
	$p_navbar_font = get_theme_mod('p_navbar_font');
	if ($p_navbar_font) {
		if (!in_array($p_navbar_font, $dont_enqueue)) {
			$fonts[] = $p_navbar_font;
		}
	}
	$p_meta_font = get_theme_mod('p_meta_font');
	if ($p_meta_font) {
		if (!in_array($p_meta_font, $dont_enqueue)) {
			$fonts[] = $p_meta_font;
		}
	}
	$p_content_heading_font = get_theme_mod('p_content_heading_font');
	if ($p_content_heading_font) {
		if (!in_array($p_content_heading_font, $dont_enqueue)) {
			$fonts[] = $p_content_heading_font;
		}
	}
	
	$fonts = array_unique($fonts);
	
	if (count($fonts) > 0) {
		$fonts_string = '|'.implode(':400,400i,700,700i|', $fonts).':400,400i,700,700i';
	}
	
	
	wp_enqueue_style( 'pipdig-fonts', 'https://fonts.googleapis.com/css?family=Playfair+Display:400,400i,700,700i|Montserrat:500'.$fonts_string, '', null );
	
	// included in p3 01/08/2018. Can remove in future.
	wp_register_script( 'pipdig-cycle-swipe', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.cycle2/20140415/jquery.cycle2.swipe.min.js', array( 'jquery' ), null, true );
	
	if (get_theme_mod('header_full_width_slider')) {
		wp_enqueue_script('pipdig-cycle');
		wp_enqueue_script('pipdig-cycle-swipe');
		wp_enqueue_script('jquery-easing');
	}
	
	if (get_theme_mod('p_feature_slider', 1)) {
		if (is_front_page() && !is_paged()) {
			wp_enqueue_script('pipdig-cycle');
			wp_enqueue_script('pipdig-cycle-swipe');
		}
	}
	
	wp_enqueue_script( 'pipdig-slicknav', 'https://cdnjs.cloudflare.com/ajax/libs/SlickNav/1.0.10/jquery.slicknav.min.js', array( 'jquery' ), null, true );
	
	wp_enqueue_script('pipdig-scripts', get_template_directory_uri().'/scripts.js', array('jquery'), null, true);
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
}
add_action( 'wp_enqueue_scripts', 'pipdig_scripts_styles' );

function pipdig_deregister_javascript() {
	if (wp_script_is('pipdig-cycle')) {
		wp_deregister_script( 'jquery-cycle' ); // Jetpack slideshow
	}
}
add_action( 'wp_print_scripts', 'pipdig_deregister_javascript', 100 );

function pipdig_footer_scripts() {
	?>
	<script>
	jQuery(document).ready(function($) {
		
		$(window).on('resize', function() {
		if (document.documentElement.clientWidth > 768) {
			var siteHeaderContHeight = $('.p_feature_slider_img').height();
			$('#p_feature_slider_banner').css('height', siteHeaderContHeight - 60);
			$('#p_feature_slider_wrapper').css('height', '');
		}
		});
		
		<?php if (get_theme_mod('p_feature_slider', 1) && is_front_page() && !is_paged()) { ?>
		
		// set height of slider container when new slide loads
		$('#p_feature_slider').on( 'cycle-after', function( event, opts ) {
			if (document.documentElement.clientWidth < 769) {
				var slideHeight = $('.p_feature_slider_item.cycle-slide-active').height();
				$('#p_feature_slider_wrapper').css('height', slideHeight);
				//alert(slideHeight);
			}
		});
		
		<?php } ?>
		
		<?php if (get_theme_mod('header_version', 1) == 1) { ?>
		
		$(window).bind("load", function() {
		//window.setInterval(function() {
			if (document.documentElement.clientWidth > 768) {
				var siteHeaderContHeight = $('.site-header .container').height();
				$('.header_section_bottom_right').css('height', siteHeaderContHeight);
			}
		//}, 1500);
		});
		
		<?php if (get_theme_mod('p_sticky_header', 1)) { ?>
		if (document.documentElement.clientWidth > 768 ) {
			$(window).scroll(function(){
				var e=0;
				var t=false;
				var n=$(window).scrollTop();
				if ($(".site-main").offset().top<n) {
					var siteHeaderHeight = $('.site-header').height();
					$('.site-main').css('padding-top', siteHeaderHeight);
					$(".site-header").addClass("shift_the_nav");
					//$(".site-main").addClass("sticky-nudge");
					var siteHeaderContHeight = $('.site-header .site-title').height();
					$('.header_section_bottom_right').css('height', siteHeaderContHeight);
					t=true
				} else {
					$('.site-main').css('padding-top', '');
					$(".site-header").removeClass("shift_the_nav");
					$(".site-main").removeClass("sticky-nudge");
					var siteHeaderContHeight = $('.site-header .site-title').height();
					$('.header_section_bottom_right').css('height', siteHeaderContHeight);
				}
			});
			var siteHeaderContHeight = $('.site-header .container').height()
			$('.header_section_bottom_right').css('height', siteHeaderContHeight);
			
			/*
			var siteHeaderHeight = $('.site-header').height();
			<?php if ( is_admin_bar_showing() ) { ?>
			siteHeaderHeight = siteHeaderHeight - 32;
			<?php } ?>
			$('.site-main').css('padding-top', siteHeaderHeight);
			*/
		}
		<?php } ?>

		<?php } ?>
	});
	</script>
	<?php
}
add_action('wp_footer', 'pipdig_footer_scripts', 9999);


if (!function_exists('pipdig_widgets_init')) {
function pipdig_widgets_init() {
	
	$sidebar_desc = '';
	if (get_theme_mod('full_width_layout') && !is_customize_preview()) {
		$sidebar_desc = 'You will need to enable the sidebar in the Customizer before adding widgets to this section.';
	}
	
	$left_right_first = 'Use this section to display widgets after the first post on the homepage.';
	$left_right_second = 'Use this section to display widgets after the second post on the homepage.';
	$left_right_third = 'Use this section to display widgets after the third post on the homepage.';
	$left_right_fourth = 'Use this section to display widgets after the fourth post on the homepage.';
	$left_right_fifth = 'Use this section to display widgets after the fifth post on the homepage.';

	register_sidebar( array(
		'name'          => 'Sidebar',
		'id'            => 'sidebar-1',
		'description'   => $sidebar_desc,
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => 'Header Full Width',
		'id'            => 'header',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="widget-title"><span>',
		'after_title'   => '</span></div>',
	) );
	register_sidebar( array(
		'name'          => 'Above Blog Posts (Homepage)',
		'id'            => 'header-1',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="widget-title"><span>',
		'after_title'   => '</span></div>',
	) );
	register_sidebar( array(
		'name'          => 'Before 1st post (Homepage)',
		'id'            => 'before-first-post',
		'description'   => 'Use this section to display widgets before the first post on the homepage.',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<div class="widget-title"><span>',
		'after_title'   => '</span></div>',
	) );
	register_sidebar( array(
		'name'          => 'After 1st Post (Homepage)',
		'id'            => 'after-first-post',
		'description'   => $left_right_first,
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="panel_widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => 'After 2nd Post (Homepage)',
		'id'            => 'after-second-post',
		'description'   => $left_right_second,
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="panel_widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => 'After 3rd Post (Homepage)',
		'id'            => 'after-third-post',
		'description'   => $left_right_third,
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="panel_widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => 'After 4th Post (Homepage)',
		'id'            => 'after-fourth-post',
		'description'   => $left_right_fourth,
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="panel_widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'After 5th Post (Homepage)', 'pipdig-textdomain' ),
		'id'            => 'after-fifth-post',
		'description'   => $left_right_fifth,
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h3 class="panel_widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => 'Footer Full Width',
		'id'            => 'ad-area-2',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="widget-title"><span>',
		'after_title'   => '</span></div>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Column', 'pipdig-textdomain' ).' #1',
		'id'            => 'sidebar-2',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Column', 'pipdig-textdomain' ).' #2',
		'id'            => 'sidebar-3',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Column', 'pipdig-textdomain' ).' #3',
		'id'            => 'sidebar-4',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Column', 'pipdig-textdomain' ).' #4',
		'id'            => 'sidebar-5',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
}
add_action( 'widgets_init', 'pipdig_widgets_init' );
}

/*-----------------------------------------------------------------------------------*/
/*  Count the number of footer sidebars to enable dynamic classes for the footer.
/* ----------------------------------------------------------------------------------*/
function pipdig_extra_col_class() {
	$count = 0;

	if ( is_active_sidebar( 'sidebar-2' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-3' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-4' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-5' ) )
		$count++;

	$class = '';
	
	if (get_theme_mod('disable_responsive')) {
		$sm = $md = 'xs';
	} else {
		$sm = 'sm';
		$md = 'md';
	}

	switch ( $count ) {
		case '1':
			$class = 'col-'.$sm.'-12 widget-area';
			break;
		case '2':
			$class = 'col-'.$sm.'-6 widget-area';
			break;
		case '3':
			$class = 'col-'.$sm.'-4 widget-area';
			break;
		case '4':
			$class = 'col-'.$sm.'-3 widget-area';
			break;
	}

	if ( $class )
		echo 'class="' . $class . '"';
}


function pipdig_slicknav_footer() {
	if (!get_theme_mod('disable_responsive')) {
		get_template_part('inc/chunks/slicknav');
	}
}
add_action( 'wp_footer', 'pipdig_slicknav_footer', 999 );


/*
function pipdig_backstretch_bg() {
	$bg = get_theme_mod('pipdig_background_image');
	if($bg && get_theme_mod('pipdig_background_repeats', 'repeat') == ''){
		echo '<script> jQuery.backstretch("'.esc_url($bg).'"); </script>';
	}
}
add_action( 'wp_footer', 'pipdig_backstretch_bg', 9999 );
*/

if (!function_exists('pipdig_get_fonts')) {
function pipdig_get_fonts() {
	
	if (($pipdig_fonts = get_transient('pipdig_fonts')) === false) {
		$site = rawurlencode(get_site_url());
		$result = wp_remote_get('https://pipdig.rocks/fonts/?site='.$site);
		if (!is_wp_error($result)) {
			$response = json_decode($result['body']);
			$pipdig_fonts = (array) $response;
			$pipdig_fonts['Paradise'] = 'Paradise';
			set_transient('pipdig_fonts', $pipdig_fonts, 1 * WEEK_IN_SECONDS);
		} else {
			// fallback
			$pipdig_fonts = array(
				'Paradise' => 'Paradise',
				'Playfair+Display' => 'Playfair Display',
				'Oswald' => 'Oswald',
				'Anton' => 'Anton',
				'Roboto' => 'Roboto',
				'Philosopher' => 'Philosopher',
				'Montserrat' => 'Montserrat',
				'Raleway' => 'Raleway',
				'Lato' => 'Lato',
				'Open+Sans' => 'Open Sans',
				'Quicksand' => 'Quicksand',
				'Merriweather' => 'Merriweather',
				'Lora' => 'Lora',
				'Abril+Fatface' => 'Abril Fatface',
				'Crimson+Text' => 'Crimson Text',
				'Old+Standard+TT' => 'Old Standard TT',
				'Amatic+SC' => 'Amatic SC',
				'Puritan' => 'Puritan',
			);
		}
	}
	
	for ($x = 1; $x <= 4; $x++) {
		$pcf_woff = rwmb_meta('pcf_'.$x.'_woff', array('object_type' => 'setting' ), 'pipdig_custom_fonts');
		$pcf_name = rwmb_meta('pcf_'.$x.'_name', array('object_type' => 'setting'), 'pipdig_custom_fonts');
		if (!empty($pcf_woff) && !empty($pcf_name)) {
			$pcf_name_id = str_replace(' ', '+', strip_tags($pcf_name));
			$pipdig_fonts[$pcf_name_id] = strip_tags($pcf_name);
		}
	}
	
	return $pipdig_fonts;
}
}


if (!function_exists('pipdig_sidebar_check')) {
function pipdig_sidebar_check() {
		
	$sidebar = true;
	
	if (get_theme_mod('full_width_layout') || !is_active_sidebar('sidebar-1')) { // check to see if sidebar has been completely disabled first.
		$sidebar = false;
	} else {
		if (is_home() && get_theme_mod('disable_sidebar_home', 1)) { // blog/homepage
			$sidebar = false;
		} elseif ((is_archive() || is_search()) && get_theme_mod('disable_sidebar_archive', 1)) { // blog post listings
			$sidebar = false;
		} elseif ((is_single() || is_attachment()) && get_theme_mod('disable_sidebar_posts')) { // posts
			$sidebar = false;
		} elseif ((is_page() || is_404()) && get_theme_mod('disable_sidebar_pages')) { // pages	
			$sidebar = false;
		} elseif ((class_exists('Woocommerce') && is_woocommerce()) && get_theme_mod('disable_sidebar_woocommerce')) { // woocommerce shop
			$sidebar = false;
		} elseif (is_single() && function_exists('rwmb_meta')) {
			$post_sidebar_position = rwmb_meta('pipdig_meta_post_sidebar_position');
			if ($post_sidebar_position == 'sidebar_none') {
				$sidebar = false;
			}
		}
	}
	return $sidebar;
}
}

// Left or right sidebar col push/pull
function pipdig_left_or_right() {
	
	if (get_theme_mod('disable_responsive')) {
		$sm = $md = 'xs';
	} else {
		$sm = 'md';
		$md = 'md';
	}
	
	if (pipdig_sidebar_check()) { // there is a sidebar in this place, so let's set it up:
		if(get_theme_mod('sidebar_position') != 'left') {
			$colz = 'col-'.$sm.'-8';
		} else {
			$colz = 'col-'.$sm.'-8 col-'.$sm.'-push-4';
		}
		
		if (function_exists('rwmb_meta') && is_single()) { 
			$post_sidebar_position = rwmb_meta( 'pipdig_meta_post_sidebar_position' );
			if( !empty( $post_sidebar_position ) ) {
				switch ( $post_sidebar_position ) {
					case 'sidebar_right':
						$colz = 'col-'.$sm.'-8';
						break;
					case 'sidebar_left':
						$colz = 'col-'.$sm.'-8 col-'.$sm.'-push-4';
						break;
					case 'sidebar_none':
						$colz = 'col-xs-12';
						break;
				}
			}
		}
	} else {
		$colz = 'col-xs-12';
		/* if ( is_home() || is_archive() || is_search() ) {
			$colz = '';
		}*/
	}
	
	echo esc_attr($colz);
}

if (!function_exists('pipdig_ppco_pre_get_posts')) {
function pipdig_ppco_pre_get_posts( $query ) {
		
	if( !$query->is_main_query() ) {
		return;
	}
		
	if (is_archive()) {
		$query->set( 'posts_per_page', 9);
		return;
	}
}
add_action( 'pre_get_posts', 'pipdig_ppco_pre_get_posts', 1 );
}


/* Show a home link. ----------------------------------------------------------------*/
function pipdig_page_menu_args( $args ) {
	$args['show_home'] = true;
	$args['menu_class'] = 'clearfix menu-bar';
	return $args;
}
add_filter( 'wp_page_menu_args', 'pipdig_page_menu_args' );



/* Returns a "Continue Reading" link for excerpts. -------------------------*/
function pipdig_continue_reading_link() {
	return '<a href="'. esc_url( get_permalink() ) . '" class="more-link">' . __( 'View Post', 'pipdig-textdomain' ) . '</a>';
}


/* Replaces "[...]" with an ellipsis ----------------------------------------*/
function pipdig_auto_excerpt_more( $output ) {
	$output = '&hellip;';
	return $output;
}
add_filter( 'excerpt_more', 'pipdig_auto_excerpt_more' );


/* Sets the post excerpt length to maximum X words (cust option) ------------------------*/
function pipdig_excerpt_length( $length ) {
	return intval(get_theme_mod('excerpt_length_num', 35));
}
add_filter( 'excerpt_length', 'pipdig_excerpt_length' );


/* Add custom class to comment avatar. ---------------------------------------*/
function pipdig_avatar_class($class) {
	$class = str_replace("class='avatar", "class='comment-avatar ", $class) ;
	return $class;
}
add_filter( 'get_avatar', 'pipdig_avatar_class' );



// catch image
if (!function_exists('pipdig_catch_that_image')) {
function pipdig_catch_that_image($post_id = '', $size = 'large', $meta_field = '') {
	
	if ($meta_field && function_exists('rwmb_meta')) {
		$images = rwmb_meta('pipdig_meta_'.$meta_field, 'type=image&limit=1&size='.$size);
		if (isset($images[0]['url'])){
			return esc_url($images[0]['url']);
		}
	}
	
	$attachemnt_id = get_post_thumbnail_id($post_id);
	$nearest = image_get_intermediate_size($attachemnt_id, $size);
	
	if (!empty($nearest['url'])) {
		return $nearest['url'];
	} elseif (get_the_post_thumbnail_url($post_id, $size)) {
		return esc_url(get_the_post_thumbnail_url($post_id, $size));
	} else {
		$post = get_post($post_id);
		preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
		if (!empty($matches[1][0])) {
			return esc_url($matches[1][0]);
		}
	}
	
	if (function_exists('p3_get_youtube_video_thumb')) {
		$video_thumb = p3_get_youtube_video_thumb($post->ID);
		if ($video_thumb) {
			return $video_thumb;
		}
	}
	
	return 'https://pipdigz.co.uk/p3/img/catch-placeholder.jpg';
}
}

if (!function_exists('pipdig_catch_2nd_image')) {
function pipdig_catch_2nd_image() {
	
	if (function_exists('rwmb_meta')) {
		$images = rwmb_meta('pipdig_meta_homepage_secondary_img', 'type=image&limit=1&size=large');
		if (isset($images[0]['url'])){
			return esc_url($images[0]['url']);
		}
	}

	$post = get_post(get_the_ID());
	preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
	$images = $matches[1];
	if (!empty($images) && is_array($images)) {
		array_shift($images);
		foreach ($images as $image) {
			if (strpos($image, '350.gif') !== false) {
				continue;
			}
			return esc_url($image);
		}
		
	}
	
	return 'https://pipdigz.co.uk/p3/img/catch-placeholder.jpg';
}
}

/*-----------------------------------------------------------------------------------*/
/*  Delete theme specific transients
/* ----------------------------------------------------------------------------------*/

function pipdig_delete_transients() {
	delete_transient( 'pipdig_archives_page' );
	wp_cache_flush(); //flush object cache, just to be safe
}
add_action( 'publish_post', 'pipdig_delete_transients' );
add_action( 'customize_save_after', 'pipdig_delete_transients' );


/*-----------------------------------------------------------------------------------*/
/*  Woocommerce functions
/* ----------------------------------------------------------------------------------*/

if (class_exists('Woocommerce')) {

	/* Woocommerce actions and filters --------------------------------------------------*/

	// Number of products displayed in archives
	function pipdig_woocommerce_products_per_page($cols) {
		$per_page = get_theme_mod('number_of_products_index', '20'); // from cust
		return $per_page;
	}
	add_filter( 'loop_shop_per_page', 'pipdig_woocommerce_products_per_page', 20 );
	
	function pipdig_woocommerce_product_query( $q ) {
		if ( $q->is_main_query() && ( $q->get( 'wc_query' ) === 'product_query' ) ) {
			$q->set( 'posts_per_page', get_theme_mod('number_of_products_index', '20') );
		}
	}
	add_action( 'woocommerce_product_query', 'pipdig_woocommerce_product_query' );

	// Remove "Add to Cart" button on product listing page in WooCommerce
	//remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart' );

	// Remove "showing X products" from categories etc
	remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );

	// Remove the product rating display on product loops
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 ); 

	// Show 4 thumbnails in gallery
	add_filter ( 'woocommerce_product_thumbnails_columns', 'pipdig_wc_thumb_cols' );
	function pipdig_wc_thumb_cols() {
	return 4; // .last class applied to every 4th thumbnail
	} 

	// Change related products to row of 4
	function woocommerce_output_related_products() {
		$args = array(
			'posts_per_page' => '4',
			'columns'        => '4',
			'orderby'        => 'rand',
		);
		woocommerce_related_products($args);
	}

	// Add data-imagelightbox="g" attribute to woocommerce product gallery for ImageLightbox.js
	if (!function_exists('pipdig_woocommerce_image_lightbox')) {
		function pipdig_woocommerce_image_lightbox($html) {
			$html = str_replace('href', 'target="_blank" rel="noopener" href', $html);
			return $html;
		}
		add_filter('woocommerce_single_product_image_html', 'pipdig_woocommerce_image_lightbox', 99, 1); // single image
		add_filter('woocommerce_single_product_image_thumbnail_html', 'pipdig_woocommerce_image_lightbox', 99, 1); // thumbnails
	}

	// Addthis sharing icons after meta
	if (false == get_theme_mod('hide_social_sharing_products') ) { // Customizer option
		add_action( 'woocommerce_product_meta_end' , 'pipdig_add_socialz_wc' );
		function pipdig_add_socialz_wc() {
			if(function_exists('pipdig_p3_social_shares')){ pipdig_p3_social_shares(); }
		}
	}

}

// pull post category link
if (!function_exists('pipdig_main_cat')) {
function pipdig_main_cat($link = true) {
		
	$category_url = $category_name = '';
	// yoast
	if (class_exists('WPSEO_Primary_Term')) {
		$cat = new WPSEO_Primary_Term('category', get_the_ID());
		$cat = $cat->get_primary_term();
		if (strlen(get_cat_name($cat)) > 1) {
			$category_url = esc_url(get_category_link($cat));
			$category_name = strip_tags(get_cat_name($cat));
		} else {
			
			$categories = get_the_category();
				
			if (empty($categories)) {
				return '';
			}
				
			// take first cat in array, check if it has a parent a parent. If so, use the parent instead.
			$parentcat = $categories[0]->category_parent;
			if ($parentcat > 0) {
				$category_name = get_cat_name($parentcat);
				$category_url = esc_url(get_category_link($parentcat));
			} else {
				$category_name = get_cat_name($categories[0]->cat_ID);
				$category_url = esc_url(get_category_link($categories[0]->cat_ID));
			}

		}
	} else {
		
		$categories = get_the_category();
		
		if (empty($categories)) {
			return '';
		}
			
		// take first cat in array, check if it has a parent a parent. If so, use the parent instead.
		$parentcat = $categories[0]->category_parent;
		if ($parentcat > 0) {
			$category_name = get_cat_name($parentcat);
			$category_url = esc_url(get_category_link($parentcat));
		} else {
			$category_name = get_cat_name($categories[0]->cat_ID);
			$category_url = esc_url(get_category_link($categories[0]->cat_ID));
		}
	
	}
		
	if (empty($category_name)) {
		return false;
	} 
		
	if ($link) {
		return '<a href="'.$category_url.'">'.$category_name.'</a>';
	} else {
		return $category_name;
	}
	
}
}

/*-----------------------------------------------------------------------------------*/
/*  Handy truncate function
/* ----------------------------------------------------------------------------------*/

// Usage:
// $title = get_the_title(); echo pipdig_truncate($title, 12);

function pipdig_truncate($text, $limit) {
if (str_word_count($text, 0) > $limit) {
    $words = str_word_count($text, 2);
    $pos = array_keys($words);
    $text = substr($text, 0, $pos[$limit]) . '&hellip;';
}
return $text;
}


/*-----------------------------------------------------------------------------------*/
/*  Remove #more-link on manually added read more buttons
/* ----------------------------------------------------------------------------------*/

function remove_more_link_scroll( $link ) {
	$link = preg_replace( '|#more-[0-9]+|', '', $link );
	return $link;
}
add_filter( 'the_content_more_link', 'remove_more_link_scroll' );


// add lightbox data
/*
if (!function_exists('p3_lightbox_rel')) {
	function p3_lightbox_rel($content) {
		$content = str_replace('><img',' data-imagelightbox="g"><img', $content);
		return $content;
	}
	add_filter('the_content','p3_lightbox_rel');
}
*/


/*-----------------------------------------------------------------------------------*/
/*  Image Gallery stuff
/* ----------------------------------------------------------------------------------*/
if (!function_exists('pipdig_image_gallery_scripts')) {
function pipdig_image_gallery_scripts() {
	if (!is_page_template('template-gallery.php')) {
		return;
	}
	?>
	<style>
	.grid-item { width: 31%; margin: 1%; }
	.grid-item img {max-width: 100%; height: auto;}
	@media screen and (max-width: 769px) {
		.grid-item {width: 48%}
	}
	</style>
	<script>
	jQuery(document).ready(function($) {
		var container = $(".p3_grid_mosaic");
		setTimeout(function() {
			container.masonry({
				itemSelector: ".pipdig-masonry-post",
			});
		}, 750);
		// Repeat
		setInterval(function() {
			container.masonry({
				itemSelector: ".pipdig-masonry-post",
			});
		}, 2500);
	});
	</script>
	<?php
}
add_action( 'wp_footer', 'pipdig_image_gallery_scripts', 999 );
}


/* Add search field to navbar ------------------------------------------ */
function pipdig_add_search_box_to_menu($items, $args) {
	if (!get_theme_mod('site_top_search', 1)) {
		return $items;
	}
	if( $args->theme_location != 'primary' ) {
		return $items;
	}
	ob_start();
		get_search_form();
		$searchform = ob_get_contents();
	ob_end_clean();

	$items .= '<li class="pipdig_navbar_search">'.$searchform.'</li>';

	return $items;
}
add_filter('wp_nav_menu_items','pipdig_add_search_box_to_menu', 10, 2);

if (!function_exists('pipdig_search_overlay')) {
function pipdig_search_overlay() {
	if (!get_theme_mod('site_top_search', 1)) {
		return;
	}
	?>
	<div id="p3_search_overlay-search" class="p3_search_overlay">
		<a href="javascript:void(0)" id="p3_search_overlay-closebtn">&times;</a>
		<div class="p3_search_overlay-content">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
						<input type="search" name="s" value="" placeholder="<?php _e('Search...', 'pipdig-textdomain'); ?>" autocomplete="off" />
					</form>
				</div>
			</div>
		</div>
		</div>
	</div>
	<?php
}
add_action('wp_footer', 'pipdig_search_overlay', 9999);
}

function p3_check_file() { return false; }

/*-----------------------------------------------------------------------------------*/
/*  Includes
/* ----------------------------------------------------------------------------------*/
require_once('inc/customizer.php');
require_once('inc/template-tags.php');
require_once('inc/meta.php');
if (function_exists('is_pipdig_active') && is_pipdig_active()) {
	$theme_slug = get_template();
	$pipdig_theme = get_option('pipdig_theme');
	$key = get_option($pipdig_theme.'_key', 'none');
	$request_array = array();
	$request_array['type'] = 'theme';
	$request_array['action'] = 'get_metadata';
	$request_array['slug'] = sanitize_text_field($theme_slug);
	$request_array['key'] = sanitize_text_field($key);
	$url = add_query_arg($request_array, 'https://wpupdateserver.com/v2/');
	@Puc_v4_Factory::buildUpdateChecker($url, __FILE__, $theme_slug);
}

// header feed
function pipdig_etoile_instagram_header_top() {
	
	if (!function_exists('p3_instagram_fetch')) {
		return;
	}
	
	if (!get_theme_mod('p3_instagram_header')) {
		return;
	}
	
	if (!get_theme_mod('p3_instagram_header_all') && (!is_front_page() && !is_home()) ) {
		return;
	}
	
	$images = p3_instagram_fetch(); // grab images
	
	if ($images) {
	?>
		<div class="clearfix"></div>
		<div id="pipdig_etoile_instagram_header_top">
			<?php for ($x = 0; $x <= 9; $x++) {
				if (!isset($images[$x]['link'])) {
					break;
				}
				if (isset($images[$x]['src_low'])) {
					$size = 'src_low';
				} else {
					$size = 'src';
				}
				?>
				<a href="<?php echo $images[$x]['link']; ?>" id="p3_instagram_post_<?php echo $x; ?>" class="p3_instagram_post" style="background-image:url(<?php echo $images[$x][$size]; ?>);width:10%;" rel="nofollow noopener" target="_blank">
					<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABAQMAAAAl21bKAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAAApJREFUCNdjYAAAAAIAAeIhvDMAAAAASUVORK5CYII=" class="p3_instagram_square" alt=""/>
					<div class="p3_instagram_post_overlay">
						<?php if (get_theme_mod('p3_instagram_meta', 1) && !empty($images[$x]['likes'])) { ?>
							<span class="p3_instagram_likes"><i class="pipdigicons pipdigicons-comment"></i> <?php echo $images[$x]['comments']; ?> &nbsp;
							<i class="pipdigicons pipdigicons-heart"></i> <?php echo $images[$x]['likes']; ?></span>
						<?php } ?>
					</div>
				</a>
			<?php } ?>
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
		<?php
	} else { // no access token or user id, so error for admins:
		if (current_user_can('manage_options')) {
			echo '<p style="text-align:center">Unable to display Instagram feed. Please check your account has been correctly setup on <a href="'.admin_url('admin.php?page=pipdig-instagram').'" style="color:red">this page</a>. This error can also occur if you have not yet published any images to Instagram or if your Instagram profile is set to Private. Only site admins can see this message.</p>';
		}
	}
}
add_action('wp_body_open', 'pipdig_etoile_instagram_header_top', 1);