<?php
$post_cat = get_theme_mod('p3_double_carousel_category');
$num_posts = absint(get_theme_mod('p3_double_carousel_number', 12));
$args = array(
	'showposts' => $num_posts,
	'cat' => $post_cat,
);
$query = new WP_Query( $args );

$the_shape = absint(get_theme_mod('p_image_shape'), 1);

$shape = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAWgAAAHgAQMAAACyyGUjAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAACxJREFUeNrtwTEBAAAAwiD7p7bGDmAAAAAAAAAAAAAAAAAAAAAAAAAAAAAkHVZAAAFam5MDAAAAAElFTkSuQmCC'; // square

if ($the_shape == 2) {
	$shape = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAfQAAAH0AQMAAADxGE3JAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAADVJREFUeNrtwTEBAAAAwiD7p/ZZDGAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAOX0AAAEidG8rAAAAAElFTkSuQmCC'; // square
}

if ( $query->have_posts() ) {
?>
<div id="p3_double_carousel">

	<?php while ( $query->have_posts() ) : $query->the_post(); ?>
	<?php
	$post_location = $extra_excerpt = '';
	if (function_exists('rwmb_meta')) {
		$post_location = rwmb_meta( 'pipdig_meta_geographic_location' );
		//$extra_excerpt = rwmb_meta( 'pipdig_meta_extra_excerpt' );
	}
	$bg = pipdig_catch_that_image(get_the_ID(), 'full', 'pipdig_meta_post_image_home');
	?>
	<div class="p3_double_carousel_item nopin">
	<div class="p3_double_carousel_item_inner">
		<a href="<?php the_permalink() ?>" class="p3_cover_me" data-flickity-bg-lazyload="<?php echo $bg; ?>">
			<img src="<?php echo $shape; ?>" alt="<?php the_title_attribute(); ?>" class="p3_invisible" data-pin-nopin="true"/>
		</a>
		<div class="p3_double_carousel_overlay">
			<?php if(!get_theme_mod('hide_cats')) { ?>
				<div class="pipdig_meta p3_double_carousel_category">
					<?php echo pipdig_main_cat(true); ?>
				</div>
			<?php } ?>
					
			<h2 class="entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark">
					<?php echo pipdig_truncate(get_the_title(), get_theme_mod('p3_double_carousel_title_len', 10)) ?>
				</a>
			</h2>
					
			<?php if(get_theme_mod('show_author')) { ?>
				<div class="pipdig_meta p3_double_carousel_author">
					<?php _e('Author:', 'pipdig-textdomain'); ?> <?php the_author_posts_link(); ?>
				</div>
			<?php } ?>
					
			<?php if($post_location) { ?>
				<div class="pipdig_meta p3_double_carousel_geo">
					<i class="pipdigicons pipdigicons-map-marker-alt"></i> <?php echo $post_location; ?>
				</div>
			<?php } ?>
					
			<?php if(!get_theme_mod('hide_dates', 1)) { ?>
				<!--<div class="pipdig_meta">
					<time datetime="<?php echo get_the_date('Y-m'); ?>"><?php echo get_the_date(); ?></time>
				</div>-->
			<?php } ?>
			
			<?php if(!get_theme_mod('hide_comments_link', 1)){ ?>
				<div class="pipdig_meta listing-comments">
					<a href="<?php comments_link(); ?>" data-disqus-url="<?php echo esc_url(get_the_permalink()); ?>"><?php if (function_exists('pipdig_p3_comment_count')) { pipdig_p3_comment_count(); } else { ?>Comments<?php } ?></a>
				</div>
			<?php } ?>
		</div>
	</div>
	</div>
	<?php endwhile; wp_reset_query(); ?>

</div>
<?php } ?>