<?php
if (!defined('ABSPATH')) die;
get_header();
?>

	<div class="row">
	
		<?php do_action('p3_main_row_start'); ?>
	
		<div id="content" class="<?php pipdig_left_or_right(); ?> content-area">
		
		<?php do_action('p3_posts_column_start'); ?>
		
		<?php if (is_category() && category_description()) { ?>
			<h1 class="entry-title"><?php echo single_cat_title(); ?></h1>
			<div class="cat_desk">
				<?php echo do_shortcode(category_description()); ?>
			</div>
		<?php } ?>
		
		<?php if ( is_active_sidebar( 'before-first-post' ) ) { ?>
			<div id="widget_area_before_first" class="textalign-center">
				<div class="col-xs-12">
					<?php dynamic_sidebar( 'before-first-post' ); ?>
				</div>
			</div>
		<?php } ?>
		
		<?php if ( have_posts() ) { ?>
		
			<?php
			
			if (is_home()) {
				
				$single_image = false;
				if (get_theme_mod('default_to_single_image')) {
					$single_image = true;
				} 
				
				while ( have_posts() ) : the_post();
					
					if ($single_image) {
						$p_layout = 7;
					} else {
						$p_layout = rand(1,6);
					}
					
					if (function_exists('rwmb_meta') && absint(rwmb_meta('pipdig_meta_homepage_layout'))) {
						$p_layout = absint(rwmb_meta('pipdig_meta_homepage_layout'));
					}
					
					if ($p_layout == 1) {
						get_template_part('content-p1', get_post_format());
					} elseif ($p_layout == 2) {
						get_template_part('content-p2', get_post_format());
					} elseif ($p_layout == 3) {
						get_template_part('content-p3', get_post_format());
					} elseif ($p_layout == 4) {
						get_template_part('content-p4', get_post_format());
					} elseif ($p_layout == 5) {
						get_template_part('content-p5', get_post_format());
					} elseif ($p_layout == 6) {
						get_template_part('content-p6', get_post_format());
					} elseif ($p_layout == 7) {
						get_template_part('content-p7', get_post_format());
					} elseif ($p_layout == 8) {
						get_template_part('content-p8', get_post_format());
					} else {
						get_template_part('content-p1', get_post_format());
					}
					
					$this_post = $wp_query->current_post;
					
					$side_compensate = '';
					if (pipdig_sidebar_check()) {
						$side_compensate = 'homepage_widget_section_sidebar_compensate';
					}
					
					if ($this_post == 0) {
						do_action( 'after_first_post' );
						if ( is_active_sidebar('after-first-post') && !is_paged() ) { ?>
							<div id="widget_area_after_first" class="textalign-center homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-first-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					} elseif ($this_post == 1) {
						do_action( 'after_second_post' );
						if ( is_active_sidebar('after-second-post') && !is_paged() ) { ?>
							<div id="widget_area_after_second" class=" homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-second-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					} elseif ($this_post == 2) {
						do_action( 'after_third_post' );
						if ( is_active_sidebar('after-third-post') && !is_paged() ) { ?>
							<div id="widget_area_after_third" class=" homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-third-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					} elseif ($this_post == 3) {
						if ( is_active_sidebar('after-fourth-post') && !is_paged() ) { ?>
							<div id="widget_area_after_fourth" class=" homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-fourth-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					} elseif ($this_post == 4) {
						if ( is_active_sidebar('after-fifth-post') && !is_paged() ) { ?>
							<div id="widget_area_after_fifth" class=" homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-fifth-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					} elseif ($this_post == 5) {
						if ( is_active_sidebar('after-sixth-post') && !is_paged() ) { ?>
							<div id="widget_area_after_sixth" class=" homepage_widget_section <?php echo $side_compensate; ?>">
								<?php if (!$side_compensate) { ?>
								<div class="container">
									<div class="row">
										<div class="col-xs-12">
											<div class="homepage_widget_section_inner">
								<?php } ?>
												<?php dynamic_sidebar( 'after-sixth-post' ); ?>
								<?php if (!$side_compensate) { ?>
											</div>
										</div>
									</div>
								</div>
								<?php } ?>
							</div> <?php
						}
					}
					
				endwhile;
				
			} else {
				
				while ( have_posts() ) : the_post();
					get_template_part('content-grid', get_post_format());
				endwhile;
				
			}
			
			?>
			
			<div class="clearfix"></div>
			<?php pipdig_content_nav('nav-below'); ?>

		<?php } else { ?>

			<?php get_template_part( 'content', 'none' ); ?>
			
		<?php } ?>

		</div><!-- .content-area -->

		<?php get_sidebar(); ?>
		
		<?php do_action('p3_main_row_end'); ?>

	</div>

<?php get_footer(); ?>
